# Base class for whiteboard tools
#
# Copyright (C) 2009 David Vrabel

class WhiteboardTool(object):
    def __init__(self, whiteboard, ui):
        self.whiteboard = whiteboard
        self.ui = ui

    def on_left_down(self, pos):
        pass

    def on_left_up(self, pos):
        pass

    def on_motion(self, pos):
        pass
